# 构建Java 镜像
#FROM centos:7
#WORKDIR /usr/local/docker
#ADD jdk-8u231-linux-x64.tar.gz /usr/local/docker
#ENV JAVA_HOME=/usr/local/docker/jdk1.8.0_231
#ENV CLASSPATH=.:$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar
#ENV PATH=$JAVA_HOME/bin:$PATH
#CMD ["java","-version"]

# 构建项目
#使用官方提供java8环境镜像
#FROM openjdk:8-jdk-alpine
#使用自己构建的java8环境镜像
FROM java:1.8
ENTRYPOINT 8473136@qq.com
COPY ./SansSerif.ttf  /usr/share/fonts/
RUN chmod 755 /usr/share/fonts/*.ttf
COPY ./target/**.jar app.jar
EXPOSE 9091
ENTRYPOINT ["java","-jar","./app.jar"]
